> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare an Arbitrum to exchange transfer



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /transfer/arbitrum
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /transfer/arbitrum:
    post:
      tags:
        - Transfer
      summary: Prepare an Arbitrum to exchange transfer
      operationId: TransferController_prepareArbitrumTransfer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArbitrumTransferBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArbitrumTransferResponseDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    ArbitrumTransferBodyDto:
      type: object
      properties:
        address:
          type: string
          description: Wallet address to deposit from
          example: '0x1234567890abcdef1234567890abcdef12345678'
        amount:
          type: string
          description: Amount to transfer
        exchange:
          type: string
          enum:
            - hyperliquid
            - lighter
          description: Destination exchange
      required:
        - address
        - amount
        - exchange
    ArbitrumTransferResponseDto:
      type: object
      properties:
        calldata:
          type: object
          properties:
            chainId:
              type: integer
              minimum: -9007199254740991
              maximum: 9007199254740991
            data:
              type: string
              description: Hex-encoded string
              example: 0xabcdef...
            to:
              type: string
              description: Ethereum address
              example: '0x1234567890abcdef1234567890abcdef12345678'
          required:
            - chainId
            - data
            - to
          description: Transaction calldata for on-chain execution
        fee:
          type: number
          description: Transfer fee amount
        transferId:
          type: string
          description: Pending transfer identifier
      required:
        - calldata
        - fee
        - transferId
      title: ArbitrumTransferData
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.